<h2>Show smart device</h2>

<ul>
  <li>
    <strong>Token:</strong>
    <%= @smart_device.token %>
  </li>

  <li>
    <strong>Name:</strong>
    <%= @smart_device.name %>
  </li>

  <li>
    <strong>Description:</strong>
    <%= @smart_device.description %>
  </li>

  <li>
    <strong>Pairedup:</strong>
    <%= yesNo @smart_device.pairedUp %>
  </li>

  <li>
    <strong>Active:</strong>
    <%= yesNo @smart_device.active %>
  </li>
</ul>
<%= if @smart_device.pairedUp == true do %>
  <%= link "Unpair device", to: user_smart_device_path(@conn, :unpairSmartDevice, @user, @smart_device.id), data: [confirm: "Are you sure?"], method: :post,
class: "btn
btn-danger btn-xs" %>
  <%= if @smart_device.active == false do %>
    <%= link "Activate device", to: user_smart_device_path(@conn, :activateSmartDevice, @user, @smart_device.id, true), method: :post, class: "btn btn-default
btn-xs" %>
  <%= else %>
    <%= link "Deactivate device", to: user_smart_device_path(@conn, :activateSmartDevice, @user, @smart_device.id, false), data: [confirm: "Are you sure?"], method: :post, class: "btn
btn-danger btn-xs" %>
  <%= end %>
<%= end %>


<h3>Pair smart devices</h3>
<%= if @smart_device.pairedUp == false && !existsPairUpRequestSmartDevice(@smart_device.id) do %>
  <%= link "Pair device", to: user_smart_device_path(@conn, :pairDevice, @user, @smart_device.id), method: :post, class: "btn btn-default btn-xs" %>
<%= end %>
<table class="table">
  <thead>
  <tr>
    <th>Token</th>
    <th>Deadline</th>
    <th>Successful</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for pair <- @smart_device.pair_smart_devices do %>
  <tr>
    <td><%= pair.token %></td>
    <td><%= date_format pair.deadline %></td>
    <td><%= yesNo pair.successful %></td>

    <td class="text-right">
      <%= if (compareDatetimeToNow(pair.deadline) == -1) && pair.successful == false do %>
        <%= link "Delete", to: user_smart_device_path(@conn, :deletePairDevice, @user, @smart_device, pair.id), method: :delete,
        data: [confirm: "Are you sure?"], class: "btn btn-danger btn-xs" %>
      <%= end %>
      <!--
      link "Show", to: user_smart_device_path(@conn, :show, @user, smart_device), class: "btn btn-default btn-xs" %>
      link "Edit", to: user_smart_device_path(@conn, :edit, @user, smart_device), class: "btn btn-default btn-xs" %>
      link "Delete", to: user_smart_device_path(@conn, :delete, @user, smart_device), method: :delete, data: [confirm: "Are you sure?"], class: "btn
      btn-danger
      btn-xs" %>
      -->
    </td>
  </tr>
  <% end %>
  </tbody>
</table>

<%= link "Back", to: user_path(@conn, :show, @user) %>
